﻿<div class="panel panel-success">
    <div id="rhead" class="panel-heading">
        <sp-input id="recipeNameInput"
                  input-class="panel-title title"
                  placeholder-value="Enter recipe name" 
                  input-text="recipe.name"                  
                  on-confirm="recipeCtrl.saveChange('name')"                  
                  trigger-focus="recipeCtrl.editName"
                  ng-show="recipeCtrl.editName">
        </sp-input>
        <h1 class="panel-title title" ng-hide="recipeCtrl.editName" ng-click="recipeCtrl.edit('name')" ng-init="recipeCtrl.initText()">{{ recipe.name }}</h1>
        <div class="servsize">
            <label for="size">Serving size: </label>
            <input type="number"
                   name="serving" min="1"
                   ng-model="recipe.servingSize"
                   ng-show="recipeCtrl.editSize"
                   ng-blur="recipeCtrl.saveChange('servingSize')"
                   required />
            <h4 ng-hide="recipeCtrl.editSize" ng-click="recipeCtrl.edit('servingSize')">{{ recipe.servingSize }}</h4>
        </div>
    </div>
    <div id="rbody" class="panel-body">
        <form class="form-horizontal">
            <fieldset>      
                <div class="form-group">
                    <div class="input-container">
                        <input id="amount" ng-model="newIngredient.amount" class="form-control servsize" type="number" min="0.01" step="0.01" ng-cloak/>
                        <select ng-options="measurement.name for measurement in measurements track by measurement.id"
                                ng-model="newIngredient.measurement" 
                                class="form-control" 
                                id="measurement" ng-cloak>
                        </select>
                        <md-autocomplete md-no-cache="false"
                                         md-selected-item="newIngredient.name"                                        
                                         md-search-text="recipe.searchText"
                                         md-items="item in querySearch(recipe.searchText)"
                                         md-item-text="item.display"
                                         placeholder="search"
                                         md-delay="300"
                                         ng-model="newIngredient.name"                                         
                                         id="ingredient">
                                         
                                        <md-item-template>
                                            <span md-highlight-text="recipe.searchText" md-highlight-flags="^i">{{ item.display }}</span>
                                        </md-item-template>

                                        <md-not-found> No matching "{{ recipe.searchText }}" were found. </md-not-found>

                        </md-autocomplete>
                        <button id="btnAddIngr" class="btn btn-success btn-lg form-control" ng-click="addIngredient()"><i class="fa fa-plus" aria-hidden="true"></i></button>
                    </div>
                </div>
            </fieldset>
        </form>

        <!-- TODO: Add track by expression/function to add multiple additional new ingredients -->
        <div id="ingrContainer">
            <h5>Ingredients:</h5>
                <md-chips ng-model="recipe.ingredients" md-on-remove="confirmRemoveIngredient($chip)">
                    <md-chip-template>
                        <span>
                            {{ $chip.amount + " " + $chip.measurement.name + ($chip.amount !== 1 ? "s" : "") + " " + $chip.name }}  
                        </span>
                    </md-chip-template>
                </md-chips>
        </div>

        <div class="row" id="confirm">
            <div class="col-lg-12">
                <!--<button class="btn btn-lg btn-danger col-lg-5" ng-click="cancel()">Cancel</button>-->
                <button class="btn btn-lg btn-success col-lg-4 col-lg-offset-4" ng-disabled="recipeCtrl.disableClose" ng-click="recipeCtrl.closeModal()">{{ recipeCtrl.saveButtonText }}</button>
            </div>
        </div>
    </div>
</div>